import React from "react";
import { WeaTable } from "ecCom";

export default class ModalStep2 extends React.Component {

  componentWillMount() {
    this.props.onPreviewDate();
  }

  render() {
    const { dataSource, columns } = this.props;
    return (
      <div style={{ display: "flex", flexFlow: "column" }}>
        <div>
          <WeaTable dataSource={dataSource} columns={columns} scroll={{ x: columns.length * 150 }}/>
        </div>
      </div>
    );
  }
}
